
From: Vinay K Nallamothu <vinay.nallamothu@gsecone.com>

The variable attributes "packed" and "align" when used with struct, should
have the following order:

struct ... {...} __attribute__((packed)) var;

This patch fixes few instances where the variable and attributes are placed
the other way around and had no effect.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/gt96100eth.h          |    4 ++--
 include/asm-m68knommu/MC68328.h   |    2 +-
 include/asm-m68knommu/MC68EZ328.h |    2 +-
 include/asm-m68knommu/MC68VZ328.h |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/net/gt96100eth.h~__attribute__-placement-fixes drivers/net/gt96100eth.h
--- 25/drivers/net/gt96100eth.h~__attribute__-placement-fixes	2005-04-25 22:08:49.464460272 -0700
+++ 25-akpm/drivers/net/gt96100eth.h	2005-04-25 22:08:49.474458752 -0700
@@ -214,7 +214,7 @@ typedef struct {
 	u32 cmdstat;
 	u32 next;
 	u32 buff_ptr;
-} gt96100_td_t __attribute__ ((packed));
+} __attribute__ ((packed)) gt96100_td_t;
 
 typedef struct {
 #ifdef DESC_BE
@@ -227,7 +227,7 @@ typedef struct {
 	u32 cmdstat;
 	u32 next;
 	u32 buff_ptr;
-} gt96100_rd_t __attribute__ ((packed));
+} __attribute__ ((packed)) gt96100_rd_t;
 
 
 /* Values for the Tx command-status descriptor entry. */
diff -puN include/asm-m68knommu/MC68328.h~__attribute__-placement-fixes include/asm-m68knommu/MC68328.h
--- 25/include/asm-m68knommu/MC68328.h~__attribute__-placement-fixes	2005-04-25 22:08:49.465460120 -0700
+++ 25-akpm/include/asm-m68knommu/MC68328.h	2005-04-25 22:08:49.475458600 -0700
@@ -993,7 +993,7 @@ typedef volatile struct {
   volatile unsigned short int pad1;
   volatile unsigned short int pad2;
   volatile unsigned short int pad3;
-} m68328_uart __attribute__((packed));
+} __attribute__((packed)) m68328_uart;
 
 
 /**********
diff -puN include/asm-m68knommu/MC68EZ328.h~__attribute__-placement-fixes include/asm-m68knommu/MC68EZ328.h
--- 25/include/asm-m68knommu/MC68EZ328.h~__attribute__-placement-fixes	2005-04-25 22:08:49.467459816 -0700
+++ 25-akpm/include/asm-m68knommu/MC68EZ328.h	2005-04-25 22:08:49.476458448 -0700
@@ -815,7 +815,7 @@ typedef volatile struct {
   volatile unsigned short int nipr;
   volatile unsigned short int pad1;
   volatile unsigned short int pad2;
-} m68328_uart __attribute__((packed));
+} __attribute__((packed)) m68328_uart;
 
 
 /**********
diff -puN include/asm-m68knommu/MC68VZ328.h~__attribute__-placement-fixes include/asm-m68knommu/MC68VZ328.h
--- 25/include/asm-m68knommu/MC68VZ328.h~__attribute__-placement-fixes	2005-04-25 22:08:49.469459512 -0700
+++ 25-akpm/include/asm-m68knommu/MC68VZ328.h	2005-04-25 22:08:49.477458296 -0700
@@ -909,7 +909,7 @@ typedef struct {
   volatile unsigned short int nipr;
   volatile unsigned short int hmark;
   volatile unsigned short int unused;
-} m68328_uart __attribute__((packed));
+} __attribute__((packed)) m68328_uart;
 
 
 
_
